Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::FastThreadLocal Class Template Reference

`#include <FastThreadLocal.h>`

Inheritance diagram for ZThread::FastThreadLocal::

List of all members.

## Public Methods
| FastThreadLocal () throw ()
virtual | ~FastThreadLocal () throw ()
T | get () const throw (Synchronization_Exception)
T | set (T val) const throw (Synchronization_Exception)
## Protected Methods
virtual void* | initialValue (void *initValue) throw ()
virtual bool | propogateValue () throw ()

## Detailed Description

### template<class T> class ZThread::FastThreadLocal

Author:
  Eric Crahen

Version:
  1.3.5

Date:
  04-22-2001

This is very similar to the ThreadLocal object in function and purpose. The major difference is that a FastThreadLocal never perfoms any kind of context check to determine when it was first used. Because of this values are never proprogated to children threads, and the initValue() method is never called by the framework.

## Constructor & Destructor Documentation

FastThreadLocal ( | ) throw ()`[inline]`

| Create a new FastThreadLocal object

~FastThreadLocal ( | ) throw ()`[inline, virtual]`

| Destroy this FastThreadLocal object

## Member Function Documentation

T get ( | ) const throw (Synchronization_Exception)`[inline]`

  | Get a value with this ThreadLocal object. Any value retrieved from this object will have been set from the same Thread. Exceptions:
  Synchronization_Exception | - thrown if there is an error allocating native thread local storage
Reimplemented from ZThread::AbstractThreadLocal.

void * initialValue ( | void * initValue ) throw ()`[inline, protected, virtual]`

  | Never invoked by the framework. Parameters:
  initValue |
Reimplemented from ZThread::AbstractThreadLocal.

bool propogateValue ( | ) throw ()`[inline, protected, virtual]`

| Never invoked by the framework. Reimplemented from ZThread::AbstractThreadLocal.

T set ( | T val ) const throw (Synchronization_Exception)`[inline]`

  | Set a value with this ThreadLocal object. This value can only be retrieved from this ThreadLocal object from the same Thread that set it. Exceptions:
  Synchronization_Exception | - thrown if there is an error allocating native thread local storage
  Parameters:
  val |

The documentation for this class was generated from the following file:

- FastThreadLocal.h